apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: flux-system-webhooks
  namespace: flux-system
spec:
  entryPoints:
    - websecure
  routes:
    - kind: Rule
      match: Host(`hooks.k8s.with-humans.org`) && PathPrefix(`/flux`)
      middlewares:
        - name: flux-system-webhooks-strip-prefix
      services:
        - name: webhook-receiver
          port: 80
---
apiVersion: traefik.io/v1alpha1
kind: Middleware
metadata:
  name: flux-system-webhooks-strip-prefix
  namespace: flux-system
spec:
  stripPrefix:
    prefixes:
      - /flux
